function setup() {
    const main_schema = require('./../defs/shiftplanner/output_plan.json');

    const additional_schemas = [];

    additional_schemas.push(require('./../defs/common/basic_types.json'));
    additional_schemas.push(require('./../defs/common/date_time.json'));
    additional_schemas.push(require('./../defs/common/client.json'));
    additional_schemas.push(require('./../defs/common/version.json'));
    additional_schemas.push(require('./../defs/common/gender.json'));
    additional_schemas.push(require('./../defs/common/backend_version.json'));
    additional_schemas.push(require('./../defs/common/language.json'));
    additional_schemas.push(require('./../defs/common/weekday.json'));
    additional_schemas.push(require('./../defs/shiftplanner/output_worker.json'));
    additional_schemas.push(require('./../defs/shiftplanner/input_worker.json'));
    additional_schemas.push(require('./../defs/shiftplanner/meta.json'));
    additional_schemas.push(require('./../defs/shiftplanner/parameters.json'));
    additional_schemas.push(require('./../defs/shiftplanner/input_plan.json'));
    additional_schemas.push(require('./../defs/shiftplanner/output_task_assigned.json'));
    additional_schemas.push(require('./../defs/shiftplanner/output_task_unassigned.json'));
    additional_schemas.push(require('./../defs/shiftplanner/input_task.json'));
    additional_schemas.push(require('./../defs/shiftplanner/statistics.json'));
    additional_schemas.push(require('./../defs/shiftplanner/info.json'));
    additional_schemas.push(require('./../defs/shiftplanner/shift.json'));
    additional_schemas.push(require('./../defs/shiftplanner/history_task.json'));
    additional_schemas.push(require('./../defs/shiftplanner/history_assignment.json'));
    additional_schemas.push(require('./../defs/shiftplanner/history_worker.json'));
    additional_schemas.push(require('./../defs/shiftplanner/history.json'));

    return {
        main_schema: main_schema,
        additional_schemas: [...additional_schemas]
    };
}

module.exports = setup();
